part of xwidgetbase;

class XStatefulWidgetBase extends StatefulWidget {
  XStatefulWidgetBase({Key? key}) : super(key: key);
  @override
  _XStatefulWidgetBase createState() => _XStatefulWidgetBase();

  static LoaderIndicator(bool isLoading, {String? label}) {
    return isLoading
        ? Center(
            child: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              SizedBox(child: CircularProgressIndicator(strokeWidth: 8), height: 150.0, width: 150.0),
              SizedBox(height: 10),
              Row(children: [Expanded(child: Text(label ?? "Caricamento..", textAlign: TextAlign.center, style: XStyles.xStyTextForSubLabel(Colors.white)))]),
            ],
          ))
        : SizedBox(width: 3, height: 3);
  }
}

class _XStatefulWidgetBase extends State<XStatefulWidgetBase> {
  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
